{ --- GERMES 1.5x-1.7 library --- }
{ --- source for BP7 compiler --- }

Type
        Date = LongInt;
        Time = LongInt;
Const
        {....}
        Date1900= 15020;           {= 01/01/1900}
        BadDate = $FFFFFFFF;
        {....}
        MinTime = 0;               {= 00:00:00 am}
        MaxTime = 86399;           {= 23:59:59 pm}
        BadTime = $FFFFFFFF;
        {....}
Const
     NPCHART=55;

Type
        PolType=(unknown,man,woman);
        TTip   =record
                      ind:byte;       { () ⨯  (.) }
                      str:string[15]; { ⨯                  }
                end;
        ChInfo =record
                        dt:date;          {᪠          }
                        gmt:time;         {६  ᥪ  㭮}
                        lon,              {᪠  . }
                        lat:single;       {᪠   . }
                        dltt:real;        {䥬ਤ ࠢ   }
                        tip:ttip;         {⨯               }
                        hsys:byte;        {⥬           }
                        zod:byte;         {⨯  - १ࢨ஢}
                        chcenter:byte;    {-業  (,...) - १ࢨ஢}
                        name:string[40];  {             }
                        pol:PolType;      {             }
                        town:string[15];  {த                  }
                        popr:real;        {GMT-LT                 }
                end;
        PlanetRec=
        record
                long:real;  {. }
                latt:real;  {. }
                dom: real;  {}
                skor:real;  {᪮}
                rast:real;  {業᪮ ﭨ}
        end;
        DomArr=array[1..12] of PlanetRec; {न }
        VPl     =record                   {ୠ⨢  㯠  ꥪ⠬ }
                        pl: array[1..16] of PlanetRec;         { ᮮࠦ ᮢ⨬}
                        d : DomArr;
                end;
        Chart   =record
                        dt:date;                         {᪠          }
                        gmt:time;                        {६  ᥪ  㭮}
                        lon,                             {᪠  . }
                        lat:single;                      {᪠   . }
                        dltt:real;                       {䥬ਤ ࠢ   }
                        tip:ttip;                        {⨯               }
                        hsys:byte;                       {⥬           }
                        zod:byte;                        {⨯  - १ࢨ஢}
                        chcenter:byte;                   {-業  (,...) - १ࢨ஢}
                        name:string[40];                 {             }
                        pol:PolType;                     {             }
                        town:string[15];                 {த                  }
                        popr:real;                       {GMT-LT                 }
                        memo:string[50];                 {ਬ砭             }
                        sobyt:longint;                   {䫠 ᮡ - १ࢨ஢}
                        ic:array[1..2] of chinfo;        {ଠ  室 /}
                        case boolean of
                        false: (pl: array[1..NPCHART] of PlanetRec); {ᨢ ꥪ⮢ }
                        true : (p : vpl);
                end;

{............}

Type
     string4 =array[1..4] of char;
     string20=string[20];
     string10=string[10];

     LibHeader = record                  { 䠩 ⥪}
          head:string4;                  { ⥪饩 ᨨ = 'GLB1' }
          name:string20;                 { ⥪            }
          passw:array[1..3] of string10; {ᯨ᮪ ஢. ஫  }
     end;

{............}

Var
     LibFile:file;

{............}

 { 㭪 ⥭   ⥪         }
 {    num - 浪              }

Function LoadChart(num:word;var karta:chart):boolean;
begin
     {...}
     reset(LibFile,1);
     Seek(LibFile,SizeOf(LibHeader)+(num-1)*SizeOf(Chart));
     if EOF(LibFile) then begin LoadChart:=False; exit; end;
     {$I-}
     BlockRead(LibFile,karta,SizeOf(chart));
     {$I+}
     LoadChart:=(IOResult=0);
end;

{............}

{
   ⨯ :
  ------------------

      0: 
      1: ࢨ筠 (⠫쭠, ...)
   2,17: ࠪ᪠
   3,18: ४樨
   4,19: ४樨  
   5,20: ணᨨ
   6,21: ࠭
   7,22: ॢ樨
   8,23: ५
   9,24: ମ᪠
  10,25: ।  (।. ࠭/६)
  11,26:  (।. 窨)

     祭  1..15 ।   Chart.gPoint ⠭
       祪 (  ,  ,
     筠 窠,  /, ⥪)  ⠭
     ன  (窨   , .. ,. , ⥪)

  Chart.ic :
  ---------
   ᫨ chart.ic[i].dt <> BADDATE -  뫪  室
    (뫪 筮 ᮤন  chart.ic[1]   
   , ਬ ।  ,  ⠪ 뫪
       chart.ic[2])

     ⨯ 3..7,9 ( ⠪ ᮮ⢥⢥ 18..22,24)  chart.ic[2]
   ᮤন ଠ  ᯮ짮 ⮤ . 
   ⮬ chart.ic[2].dt = BADDATE

      chart.ic[2].tip.ind  chart.ic[2].tip.str  chart.ic[2].dltt
   -----------------------------------------------------------------------
     3, 18     ⥬             ࠤ _
     4, 19     _       _        _ਮ_
     5, 20     _+1           _         _/*_
     6, 21     _+1                               _
     7, 22     _                            _ਮ_
     9, 24     _ମ        _ମ

   _: -1 ⭮, 1 אַ  ( ६)
   ⥬ :  1 , 2 ਠ
   _ਮ_: 365.25 ,  27.32 㭠
   ࠤ - - ࠤᮢ ( )
    - - 
   _ -  ᪮쪮  ਭ    - ࠤᮢ
              
   _ : 1 , 2 㭠 ( 3 ...   ᫥ )

    chart.ic[2].tip.str  ᮤঠ  ப  १ ஡
     9,25 ᫨  chart.ic[2].tip.ind ᫮ >=100   ମ
      chart.ic[2].tip.str (஡ ମ) (ᤥ  ᮢ⨬  ।. ﬨ)

  ........

  ᫥⥫쭮 ꥪ⮢
  ---------------------------
  chart.pl : ,㭠,਩,,,,,࠭,,⮭,
             ..(⨭.),..(।.),஭,,,஧௨,
              1..12,
            ( ( , ,筠 窠, /,⥪)
                 
              (窠 ,窠 ,..,.,⥪) ),
             , , , ,
             㯨, , , ஭, , , 㫪, ᥩ,
             ,
             ... - १ࢨ஢
 }

